import { Position, EdgeProps } from '~/index';
interface CustomEdgeProps extends EdgeProps {
    source: string;
    target: string;
    sourceHandleId?: string;
    targetHandleId?: string;
    id: string;
    sourceX: number;
    sourceY: number;
    targetX: number;
    targetY: number;
    sourcePosition: Position;
    targetPosition: Position;
    markerEndId?: string;
    data?: {
        text: string;
    };
}
declare const _default: import("vue").DefineComponent<__VLS_DefinePropsToOptions<CustomEdgeProps>, () => void, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    source?: unknown;
    target?: unknown;
    sourceHandleId?: unknown;
    targetHandleId?: unknown;
    id?: unknown;
    sourceX?: unknown;
    sourceY?: unknown;
    targetX?: unknown;
    targetY?: unknown;
    sourcePosition?: unknown;
    targetPosition?: unknown;
    markerEndId?: unknown;
    data?: unknown;
    sourceNode?: unknown;
    targetNode?: unknown;
    label?: unknown;
    type?: unknown;
    style?: unknown;
    selected?: unknown;
    sourceHandle?: unknown;
    targetHandle?: unknown;
    labelStyle?: unknown;
    labelShowBg?: unknown;
    labelBgStyle?: unknown;
    labelBgPadding?: unknown;
    labelBgBorderRadius?: unknown;
    animated?: unknown;
    updatable?: unknown;
    markerStart?: unknown;
    markerEnd?: unknown;
    curvature?: unknown;
} & {
    id: string;
    targetPosition: Position;
    sourcePosition: Position;
    sourceNode: import("~/index").GraphNode<any>;
    targetNode: import("~/index").GraphNode<any>;
    sourceX: number;
    sourceY: number;
    targetX: number;
    targetY: number;
    source: string;
    target: string;
} & {
    data?: {
        text: string;
    } | undefined;
    type?: string | undefined;
    selected?: boolean | undefined;
    label?: string | {
        props?: any;
        component: any;
    } | undefined;
    style?: import("vue").CSSProperties | undefined;
    updatable?: boolean | undefined;
    sourceHandleId?: string | undefined;
    targetHandleId?: string | undefined;
    sourceHandle?: string | undefined;
    targetHandle?: string | undefined;
    labelStyle?: import("vue").CSSProperties | undefined;
    labelShowBg?: boolean | undefined;
    labelBgStyle?: unknown;
    labelBgPadding?: [number, number] | undefined;
    labelBgBorderRadius?: number | undefined;
    animated?: boolean | undefined;
    markerStart?: string | undefined;
    markerEnd?: string | undefined;
    curvature?: number | undefined;
    markerEndId?: string | undefined;
}>, {}>;
export default _default;
declare type __VLS_NonUndefinedable<T> = T extends undefined ? never : T;
declare type __VLS_DefinePropsToOptions<T> = {
    [K in keyof T]-?: {} extends Pick<T, K> ? {
        type: import('vue').PropType<__VLS_NonUndefinedable<T[K]>>;
    } : {
        type: import('vue').PropType<T[K]>;
        required: true;
    };
};
