import { Position, NodeProps, ValidConnectionFunc } from '~/index';
interface CustomNodeProps extends NodeProps {
    id: string;
    isValidSourcePos: ValidConnectionFunc;
}
declare const _default: import("vue").DefineComponent<__VLS_DefinePropsToOptions<CustomNodeProps>, () => void, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    id?: unknown;
    isValidSourcePos?: unknown;
    nodeElement?: unknown;
    type?: unknown;
    data?: unknown;
    selected?: unknown;
    connectable?: unknown;
    computedPosition?: unknown;
    position?: unknown;
    dimensions?: unknown;
    label?: unknown;
    isValidTargetPos?: unknown;
    parentNode?: unknown;
    dragging?: unknown;
    zIndex?: unknown;
    targetPosition?: unknown;
    sourcePosition?: unknown;
    dragHandle?: unknown;
} & {
    id: string;
    dimensions: import("~/index").Dimensions;
    data: unknown;
    type: string;
    position: import("~/index").XYPosition;
    selected: boolean;
    connectable: boolean;
    nodeElement: HTMLDivElement;
    computedPosition: import("~/index").XYZPosition;
    isValidSourcePos: ValidConnectionFunc;
    dragging: boolean;
    zIndex: number;
} & {
    label?: string | {
        props?: any;
        component: any;
    } | undefined;
    isValidTargetPos?: ValidConnectionFunc | undefined;
    parentNode?: string | undefined;
    targetPosition?: Position | undefined;
    sourcePosition?: Position | undefined;
    dragHandle?: string | undefined;
}>, {}>;
export default _default;
declare type __VLS_NonUndefinedable<T> = T extends undefined ? never : T;
declare type __VLS_DefinePropsToOptions<T> = {
    [K in keyof T]-?: {} extends Pick<T, K> ? {
        type: import('vue').PropType<__VLS_NonUndefinedable<T[K]>>;
    } : {
        type: import('vue').PropType<T[K]>;
        required: true;
    };
};
