import { Position } from '../../types';
declare const _default: import("vue").DefineComponent<{
    id: {
        type: import("vue").PropType<string>;
        required: true;
    };
    sourceNode: {
        type: import("vue").PropType<import("../../types").GraphNode<any>>;
        required: true;
    };
    targetNode: {
        type: import("vue").PropType<import("../../types").GraphNode<any>>;
        required: true;
    };
    label: {
        type: import("vue").PropType<string | {
            props?: any;
            component: any;
        }>;
    } & {
        default: () => "";
    };
    type: {
        type: import("vue").PropType<string>;
    };
    data: {
        type: import("vue").PropType<any>;
    };
    style: {
        type: import("vue").PropType<import("vue").CSSProperties>;
    };
    sourceX: {
        type: import("vue").PropType<number>;
        required: true;
    };
    sourceY: {
        type: import("vue").PropType<number>;
        required: true;
    };
    targetX: {
        type: import("vue").PropType<number>;
        required: true;
    };
    targetY: {
        type: import("vue").PropType<number>;
        required: true;
    };
    selected: {
        type: import("vue").PropType<boolean>;
    } & {
        default: boolean;
    };
    sourcePosition: {
        type: import("vue").PropType<Position>;
        required: true;
    } & {
        default: Position;
    };
    targetPosition: {
        type: import("vue").PropType<Position>;
        required: true;
    } & {
        default: Position;
    };
    sourceHandleId: {
        type: import("vue").PropType<string>;
    };
    targetHandleId: {
        type: import("vue").PropType<string>;
    };
    source: {
        type: import("vue").PropType<string>;
        required: true;
    };
    target: {
        type: import("vue").PropType<string>;
        required: true;
    };
    sourceHandle: {
        type: import("vue").PropType<string>;
    };
    targetHandle: {
        type: import("vue").PropType<string>;
    };
    labelStyle: {
        type: import("vue").PropType<import("vue").CSSProperties>;
    } & {
        default: () => {};
    };
    labelShowBg: {
        type: import("vue").PropType<boolean>;
    } & {
        default: boolean;
    };
    labelBgStyle: {
        type: import("vue").PropType<any>;
    } & {
        default: () => {};
    };
    labelBgPadding: {
        type: import("vue").PropType<[number, number]>;
    };
    labelBgBorderRadius: {
        type: import("vue").PropType<number>;
    };
    animated: {
        type: import("vue").PropType<boolean>;
    };
    updatable: {
        type: import("vue").PropType<boolean>;
    };
    markerStart: {
        type: import("vue").PropType<string>;
    };
    markerEnd: {
        type: import("vue").PropType<string>;
    };
    curvature: {
        type: import("vue").PropType<number>;
    };
}, () => void, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    id?: unknown;
    sourceNode?: unknown;
    targetNode?: unknown;
    label?: unknown;
    type?: unknown;
    data?: unknown;
    style?: unknown;
    sourceX?: unknown;
    sourceY?: unknown;
    targetX?: unknown;
    targetY?: unknown;
    selected?: unknown;
    sourcePosition?: unknown;
    targetPosition?: unknown;
    sourceHandleId?: unknown;
    targetHandleId?: unknown;
    source?: unknown;
    target?: unknown;
    sourceHandle?: unknown;
    targetHandle?: unknown;
    labelStyle?: unknown;
    labelShowBg?: unknown;
    labelBgStyle?: unknown;
    labelBgPadding?: unknown;
    labelBgBorderRadius?: unknown;
    animated?: unknown;
    updatable?: unknown;
    markerStart?: unknown;
    markerEnd?: unknown;
    curvature?: unknown;
} & {
    id: string;
    selected: boolean;
    label: string | {
        props?: any;
        component: any;
    };
    targetPosition: Position;
    sourcePosition: Position;
    sourceNode: import("../../types").GraphNode<any>;
    targetNode: import("../../types").GraphNode<any>;
    sourceX: number;
    sourceY: number;
    targetX: number;
    targetY: number;
    source: string;
    target: string;
    labelStyle: import("vue").CSSProperties;
    labelShowBg: boolean;
    labelBgStyle: {};
} & {
    data?: unknown;
    type?: string | undefined;
    style?: import("vue").CSSProperties | undefined;
    updatable?: boolean | undefined;
    sourceHandleId?: string | undefined;
    targetHandleId?: string | undefined;
    sourceHandle?: string | undefined;
    targetHandle?: string | undefined;
    labelBgPadding?: [number, number] | undefined;
    labelBgBorderRadius?: number | undefined;
    animated?: boolean | undefined;
    markerStart?: string | undefined;
    markerEnd?: string | undefined;
    curvature?: number | undefined;
}>, {
    selected: boolean;
    label: string | {
        props?: any;
        component: any;
    };
    targetPosition: Position;
    sourcePosition: Position;
    labelStyle: import("vue").CSSProperties;
    labelShowBg: boolean;
    labelBgStyle: {};
}>;
export default _default;
